Launches a To-Do

POST /api/sync/v1/todos/launch

Operation id: launchTodo

Description

This API can be used to launch a DRAFT to-do by providing the to-do id generated from CREATE API. The to-do will be launched with a LAUNCHED status.

Permission Required:

  1. task-creation
  2. task-creation-checklist
  3. task-creation-instore

Tags: To-Do APIs

Security

  • Bearer (http / bearer)
    • enter the client service token value.

Responses

200 — To-Do launched successfully

Content type: application/json

400 — Bad request

404 — To-Do not found

500 — Internal server error

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
taskIdinteger (int32)Yestask id which is to be launched.
resettablebooleanNoflag to add reset after edit task attribute
{
  "type": "object",
  "required": [
    "taskId"
  ],
  "properties": {
    "taskId": {
      "type": "integer",
      "format": "int32",
      "description": "task id which is to be launched."
    },
    "resettable": {
      "type": "boolean",
      "description": "flag to add reset after edit task attribute"
    }
  }
}

Response models

200 — To-Do launched successfully

Content type: application/json

Schema

PropertyTypeRequiredDescription
taskIdinteger (int32)Noidentifier of task
messagestringNoresponse message
messageCodestringNomessage codes
{
  "type": "object",
  "properties": {
    "taskId": {
      "type": "integer",
      "format": "int32",
      "description": "identifier of task"
    },
    "message": {
      "type": "string",
      "description": "response message"
    },
    "messageCode": {
      "type": "string",
      "description": "message codes",
      "items": {
        "type": "string",
        "example": [
          "ERROR61- Error launching To-Do.",
          "ERROR73-To-Do has been deleted.",
          "ERROR74-To-Do has been launched.",
          "ERROR76-Recipients not found."
        ]
      }
    }
  }
}